From 9b999a02c5a992571501018bda827859fd7efe7a Mon Sep 17 00:00:00 2001
From: Alyssa Rosenzweig <alyssa@rosenzweig.io>
Date: Sun, 12 Feb 2023 12:22:47 -0500
Subject: [PATCH] asahi: Remove default=true on index list values

These will cause issues with indirect draws.

Signed-off-by: Alyssa Rosenzweig <alyssa@rosenzweig.io>
---
 src/asahi/lib/cmdbuf.xml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/asahi/lib/cmdbuf.xml b/src/asahi/lib/cmdbuf.xml
index 7404711f3e1..f243fb335db 100644
--- a/src/asahi/lib/cmdbuf.xml
+++ b/src/asahi/lib/cmdbuf.xml
@@ -744,9 +744,9 @@
     <field name="Index buffer size present" size="1" start="21" type="bool"/>
 
     <!-- XXX: Might be mixed up, not sure how to check that -->
-    <field name="Index count present" size="1" start="22" type="bool" default="true"/>
-    <field name="Instance count present" size="1" start="23" type="bool" default="true"/>
-    <field name="Start present" size="1" start="24" type="bool" default="true"/>
+    <field name="Index count present" size="1" start="22" type="bool"/>
+    <field name="Instance count present" size="1" start="23" type="bool"/>
+    <field name="Start present" size="1" start="24" type="bool"/>
     <field name="Indirect buffer present" size="1" start="26" type="bool"/>
 
     <field name="Block Type" size="3" start="29" type="VDM Block Type" default="Index List"/>
-- 
2.39.0

